// GenericRTP2PCMDecoder.h: interface for the GenericRTP2PCMDecoder class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_GENERICRTP2PCMDECODER_H__239B82EA_392B_426A_ACA9_89D6407BFEEC__INCLUDED_
#define AFX_GENERICRTP2PCMDECODER_H__239B82EA_392B_426A_ACA9_89D6407BFEEC__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G711Codec.h"

class GenericRTP2PCMDecoder : 
	public AudioTransformer
{
public:
	GenericRTP2PCMDecoder();
	virtual ~GenericRTP2PCMDecoder();
	int TransformStarted();
	int TransformStopped();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	int SetTraceLevel();
	int SetCodecInRegistry(char *codecName);
private:
	G711Codec g711Codec;

	int lastCodec;
};

#endif // !defined(AFX_GENERICRTP2PCMDECODER_H__239B82EA_392B_426A_ACA9_89D6407BFEEC__INCLUDED_)
